---
layout: default
title: Join our team
description: Review our open roles and apply today
twitter_image: '/images/opengraph/Talent-Brand/hiring-day-in-the-life-person-on-couch.png'
twitter_image_alt: "A person sitting on the couch with their laptop, smiling."
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
manual_cookiebot: true
extra_css:
  - jobs.css
---

.container.listing-container
  .content.tile{id: 'opportunities'}
    :markdown
      ## Careers at GitLab

      Interested in joining our [all-remote team](https://about.gitlab.com/company/culture/all-remote/)? GitLab is a very unique place to work, and it's an exciting time to join [our team](https://about.gitlab.com/company/team/org-chart/). 
      
      Browse our job opportunities by clicking the button below. You can learn more about how we hire and what it’s like to work at GitLab on our [Jobs FAQ page](https://about.gitlab.com/jobs/faq/).

    .u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab", class: "btn cta-btn accent" do
        View Opportunities

    :markdown

      <br><br>

      ## Current GitLab Team Members

      If you're a GitLab team member, please visit [this page](https://about.gitlab.com/handbook/hiring/interviewing/#internal-applicants) for additional information and a link to the internal job board. If you'd like to submit a referral, check out [this page](https://about.gitlab.com/handbook/hiring/referral-process/#submitting-a-referral) for more details.

      <!-- blank line -->

      <figure class='video_container'>
        <iframe width="560" height="315" src="https://www.youtube.com/embed/GKMUs7WXm-E" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
      </figure>

      _GitLab is proud to be an equal opportunity workplace and is an affirmative action employer. GitLab’s policies and practices relating to recruitment, employment, career development and advancement, promotion, and retirement are based solely on merit, without regard to all legally protected classes, including, but not limited to: race, color, religion, ancestry, sex (including pregnancy, sexual orientation, or gender identity), national origin, age, citizenship, marital status, gender identity, disability and genetic information (including family medical history), and any other status protected by federal, state or local law. GitLab will not discriminate on the basis of disability or veteran status._
